Skip to content

ApPmtTermsTablePagedList⁠

Perform various operations for Symitar parameters.

Operations⁠

getApPmtTermsTablePagedListSelectFields⁠

POST

Execute the persistent ParameterService getApPmtTermsTablePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getApPmtTermsTablePagedListSelectFields
POST /nexum/627/persistent/parameter/getApPmtTermsTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchApPmtTermsTablePagedSelectFields⁠

POST

Execute the persistent ParameterService searchApPmtTermsTablePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchApPmtTermsTablePagedSelectFields
POST /nexum/627/persistent/parameter/searchApPmtTermsTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}